#!/tmp/busybox sh
cd /tmp
mkdir ramdisk
cd ramdisk
/tmp/busybox gzip -dc ../boot.img-ramdisk.gz | /tmp/busybox cpio -i
if [ -z `/tmp/busybox grep init.d init.rc` ]; then
echo '' >>init.rc
echo '# Execute files in /etc/init.d before booting' >>init.rc
echo 'service userinit /system/xbin/busybox run-parts /system/etc/init.d' >>init.rc
echo '    oneshot' >>init.rc
echo '    class late_start' >>init.rc
echo '    user root' >>init.rc
echo '    group root' >>init.rc
fi
/tmp/busybox sh -c "/tmp/busybox find . | /tmp/busybox cpio -o -H newc | /tmp/busybox gzip > ../boot.img-ramdisk-new.gz"
cd ../
